For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all entity users
      • POSTCreate an entity user
      • GETGet current entity user
      • PATCHUpdate current entity user
      • GETGet a role of this entity user
      • GETGet an entity user
      • DELDelete an entity user
      • PATCHUpdate an entity user
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntity users

Get a role of this entity user

GET
/entity_users/my_role
GET
/v1/entity_users/my_role
$curl https://api.sandbox.monite.com/v1/entity_users/my_role \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "name": "name",
6 "permissions": {
7 "objects": [
8 {
9 "object_type": "accounting_tax_rate",
10 "actions": [
11 {
12 "action_name": "create",
13 "permission": "allowed"
14 }
15 ]
16 }
17 ]
18 },
19 "status": "active"
20}
Retrieves information of a role assigned to this entity user.
Was this page helpful?
Previous

Get an entity user

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Response

Successful Response
idstringformat: "uuid"
UUID role ID
created_atdatetime
UTC datetime
updated_atdatetime
UTC datetime
namestring>=1 character
Role name
permissionsobject
Access permissions
statusenum
record status, 'active' by default
Allowed values:

Errors

401
Get Entity Users MY Role Request Unauthorized Error
422
Get Entity Users MY Role Request Unprocessable Entity Error
429
Get Entity Users MY Role Request Too Many Requests Error